#include "ruby.h"

VALUE method_get_string(VALUE self){
	return rb_usascii_str_new("MyExt String" , 12 );
}

VALUE method_add_ten(VALUE self, VALUE arg){
	int ret;
	Check_Type(arg , T_FIXNUM);
	ret = 10 + NUM2INT(arg);
	return INT2NUM(ret);
}

__declspec(dllexport) void Init_MyExt(){
	rb_define_global_function( "get_string" , (VALUE (*)())method_get_string , 0 );
	rb_define_global_function( "add_ten" , (VALUE (*)())method_add_ten, 1 );
}
